
Quantification tool - Bug #487

Block conflicting dates in the new forecasting dialog box

03/14/2013 10:05 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 03/14/2013

Priority: Immediate Due date: 04/01/2013

Assignee: Luis Gustavo do Valle Bastos % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Version 1.0 Spent time: 1.00 hour

Description

System should block the following situations and display warning messages when occuring:

- Enter the reference date as a future date;

- Enter the reference date subsequent to the start date of the review period;

- Enter the finish date of the review period earlier than the start date of the review period.

History

#1 - 03/20/2013 07:02 AM - Oleksii Kurasov

- Due date set to 03/20/2013

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

- % Done changed from 0 to 100

#2 - 03/21/2013 11:16 AM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Tested and found issue, as follow:

Enter the reference date as a future date = Okay;

Enter the reference date subsequent to the start date of the review period = the message about entering reference date as future date is been

displayed in this situation as well. When clicking on OK button of the correct message, the first one is behind. Please, remove this;

Enter the finish date of the review period earlier than the start date of the review period = Okay.

#3 - 03/22/2013 10:29 AM - Oleksii Kurasov

- Due date changed from 03/20/2013 to 03/22/2013

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

Enter the reference date subsequent to the start date of the review period = the message about entering reference date as future date is

been displayed >>in this situation as well. When clicking on OK button of the correct message, the first one is behind. Please, remove this;

Please, explain in detail what do you mean?
#4 - 03/22/2013 05:22 PM - Luis Gustavo do Valle Bastos

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Current message:

Error.forecasting.refDateGreaterThatInitDate = Reference date can't be subsequent to the start date of the review period.

New message:

The start date of the review period cannot be before the reference date

#5 - 04/01/2013 05:58 AM - Oleksii Kurasov

- Due date changed from 03/22/2013 to 04/01/2013

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#6 - 04/01/2013 05:58 AM - Oleksii Kurasov

- Status changed from Feedback to Resolved

#7 - 04/02/2013 12:16 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and correct.
